<template>
    <div id="navigation">
      <ul class="nav-list">
         <li class="nav-item">
          <a href="#">React News Search and Bookmarks</a>
        </li>
        <li class="nav-item">
          <a href="#" @click="getNews">Top News</a>
        </li>
         <li class="nav-item">
          <a href="#">Bookmark</a>
        </li>
      </ul>
    </div>
</template>

<script>
export default {
    props: {
        getNews: {
            type: Function,
            required: true,
        }
    }
}
</script>

<style scoped>
#navigation {
  color: #ffff;
  width: 100%;
  height: auto;
  background-color: #343a40;
  padding: 15px 100px;
  font-size: 20px;
}

.nav-list {
  display: flex;
}

.nav-item {
  list-style: none;
  margin-right: 1rem;
}

.nav-item a {
  text-decoration: none;
  color: white;
}

.nav-item:first-child {
  margin-right: auto;
}

@media(min-width: 250px),(min-width: 300px),(min-width: 400px){
  #navigation{
    padding: 10px;
    font-size: 15px;
  }
  .nav-item{
    margin: 0;
  }
}

@media(min-width: 760px){
  #navigation{
    padding: 15px 100px;
    font-size: 20px;
  }
  .nav-item{
    margin-right: 1rem;
  }
}

</style>